import verovio from "verovio";

let vrvToolKit: any;

verovio.module.onRuntimeInitialized = function () {
  vrvToolKit = new verovio.toolkit();

  vrvToolKit.setOptions({
    adjustPageWidth: true,
    adjustPageHeight: true,
    spacingNonLinear: 1.0,
    spacingLinear: 0.05,
    spacingStaff: 16,
    svgViewBox: true,
    font: "Bravura",
  });
};

function toSvg(mei: string): string {
  vrvToolKit.loadData(mei);
  return vrvToolKit.renderToSVG(1);
}

export default toSvg;
