import x from "xastscript";

class Direction {
  value: string;

  constructor(value: string) {
    this.value = value;
  }

  toMusicXml() {
    return x("direction", [x("direction-type", [x("words", this.value)])]);
  }

  toMei(id: string) {
    return x("tempo", { startid: `#${id}` }, this.value);
  }
}

export default Direction;
