import x from "xastscript";
import Pitch from "../../pitch";

function* setTie(pitch: Pitch) {
  if (pitch) {
    const { stop, start } = pitch.props.tie;
    if (stop) {
      yield x("tie", { type: "stop" });
    }
    if (start) {
      yield x("tie", { type: "start" });
    }
  }
}

export default setTie;
