const types: { [index: string]: string } = {
  1: "whole",
  2: "half",
  4: "quarter",
  8: "eighth",
  16: "16th",
  32: "32nd",
  64: "64th",
  128: "128th",
};

function setType(input: number) {
  const type = types[input];
  if (!type) {
    throw Error(`Duration type ${input} not found`);
  }
  return type;
}

export default setType;
