import pitchClasses from "./pitchClasses";

function setPitchClass(pname: string, accid: string) {
  const pitchClass = pitchClasses.findIndex((pitches) =>
    pitches.includes(`${pname}${accid}`)
  );
  if (pitchClass === -1) {
    throw Error(`Pitch ${pname}${accid} not found`);
  }
  return pitchClass;
}

export default setPitchClass;
