import Octave from "./octave";
import { Tie, PitchProps } from "./types";
declare class Pitch {
    props: PitchProps;
    constructor(props?: PitchProps);
    get pitchNum(): number;
    setPitch(value: string | number): Pitch | null;
    setTie(tie: Tie): Pitch;
    relativeToFixed(octave: Octave): Pitch;
    private static _fromString;
    private static _fromNumber;
    private static _matchString;
    private static _setOctave;
    private static _setPitchClass;
    private _copy;
    toMusicXml(): any;
    toMei(shared?: any): any;
    toEventData(): {
        num: number;
        tie: boolean;
    };
}
export default Pitch;
