import Fragment from "./fragment";
import Part from "./part";
import { ScoreProps, OutputFormats } from "./types";
declare class Score {
    static octave: number | null;
    private static _pitchNames;
    parts: Part[];
    ids: string[];
    props: ScoreProps;
    constructor(parts: (Fragment | Part)[], props?: Partial<ScoreProps>);
    static get pitchNames(): string[];
    static set pitchNames(pitchNames: string[]);
    output(format: OutputFormats): any;
    toMusicXml(): {
        type: "root";
        children: any[];
    };
    toMei(): {
        type: "root";
        children: any[];
    };
    toEventData(): {
        divisions: number;
        events: any[][];
    };
    toBeatData(): string;
    toTimingData(): string;
}
export default Score;
