import * as vscode from "vscode";
import * as vm from "vm";
import sandbox from "./sandbox";

const context = vm.createContext(sandbox);

function runInVm() {
  const editor = vscode.window.activeTextEditor;
  if (!editor) return;

  const content = editor.document.getText();

  return vm.runInContext(content, context);
}

export default runInVm;
