class Execute {
  constructor(public data: any) {}
}

export class View extends Execute {}

export class Plot extends Execute {}

function execute(type: typeof Execute) {
  return (input: any) => new type(input);
}

export default { require, View: execute(View), Plot: execute(Plot) };
