import Fraction from "fraction.js";

abstract class Duration {
  children: any[];
  duration: Fraction;
  lcd: Fraction;

  constructor(children: any, duration: Fraction, lcd: Fraction) {
    if (!Array.isArray(children)) {
      children = [children];
    }

    this.children = children;
    this.duration = duration;
    this.lcd = lcd;
  }
}

export default Duration;
