import x from "xastscript";

const clefs: any = {
  bass: [x("sign", "F"), x("line", 4)],
  tenor: [x("sign", "C"), x("line", 4)],
  alto: [x("sign", "C"), x("line", 3)],
  treble: [x("sign", "G"), x("line", 2)],
};

function setClef(clef: string, i: number) {
  return x("clef", { number: i }, clefs[clef]);
}

export default setClef;
