import Fraction from "fraction.js";
import Entries from "./entries";
import { Entry, TempoProps, MusicXmlProps, MeiProps, EventDataProps } from "./types";
declare class Tempo extends Entries {
    children: Entry[];
    props: TempoProps;
    constructor(values: Entry[], props: TempoProps);
    toMusicXml(props: MusicXmlProps): any;
    toMei(props: MeiProps): any;
    toEventData(props: EventDataProps): any;
    toBeatData(lcd: Fraction, offset: Fraction): Generator<number, void, unknown>;
}
export default Tempo;
