import { html } from "lit";
import store from "../../store";
import { setScrollPos } from "../../store/reducer";
import "@material/mwc-slider";

const Scroll = (scrollPos: number) => {
  const input = (e: any) => store.dispatch(setScrollPos(e.detail.value));
  return html`
    <mwc-slider
      min="0"
      max="1"
      step="0.001"
      value=${scrollPos}
      @input=${input}
    ></mwc-slider>
  `;
};

export default Scroll;
