import { setCurrentTime } from "../reducer";
import { ThunkAction } from "redux-thunk";
import { PayloadAction } from "@reduxjs/toolkit";
import { RootState } from "..";

const startTimer =
  (): ThunkAction<void, RootState, unknown, PayloadAction<number>> =>
  (dispatch) => {
    const timer = (time: number) => {
      dispatch(setCurrentTime(time));
      window.requestAnimationFrame(timer);
    };
    window.requestAnimationFrame(timer);
  };

export default startTimer;
